org.bouncycastle.asn1.x509

## Class DistributionPointName

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.DistributionPointName

All Implemented Interfaces:
  ASN1Choice, DEREncodable

    public class DistributionPointName
    extends ASN1Encodable
    implements ASN1Choice

The DistributionPointName object.

     DistributionPointName ::= CHOICE {
         fullName                 [0] GeneralNames,
         nameRelativeToCRLIssuer  [1] RelativeDistinguishedName
     }

### Field Summary

Fields
`static int` `FULL_NAME`
`static int` `NAME_RELATIVE_TO_CRL_ISSUER`

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`DistributionPointName(ASN1TaggedObject obj)`
`DistributionPointName(GeneralNames name)`
`DistributionPointName(int type, ASN1Encodable name)`
`DistributionPointName(int type, DEREncodable name)`

### Method Summary

Methods
`static DistributionPointName` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static DistributionPointName` `getInstance(java.lang.Object obj)`
`ASN1Encodable` `getName()` Return the tagged object inside the distribution point name.
`int` `getType()` Return the tag number applying to the underlying choice.
`DERObject` `toASN1Object()`
`java.lang.String` `toString()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FULL_NAME

    public static final int FULL_NAME

See Also:
  Constant Field Values

#### NAME_RELATIVE_TO_CRL_ISSUER

    public static final int NAME_RELATIVE_TO_CRL_ISSUER

See Also:
  Constant Field Values

### Constructor Detail

#### DistributionPointName

    public DistributionPointName(int type,
                         DEREncodable name)

#### DistributionPointName

    public DistributionPointName(int type,
                         ASN1Encodable name)

#### DistributionPointName

    public DistributionPointName(GeneralNames name)

#### DistributionPointName

    public DistributionPointName(ASN1TaggedObject obj)

### Method Detail

#### getInstance

    public static DistributionPointName getInstance(ASN1TaggedObject obj,
                                    boolean explicit)

#### getInstance

    public static DistributionPointName getInstance(java.lang.Object obj)

#### getType

    public int getType()

Return the tag number applying to the underlying choice.

Returns:
  the tag number for this point name.

#### getName

    public ASN1Encodable getName()

Return the tagged object inside the distribution point name.

Returns:
  the underlying choice item.

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`